Subject: Re: Key-based authentication fails when keys are in Samba directory
From: Hugh Brown <[email-masked]>
To: Brian Ford <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 24 Oct 2003 14:18:51 -0700

Brian Ford wrote:
> I'm not an ssh expert, but how do you expect this to work, at least if the
> Samba mount requires authentication?  Seems like a "chicken and the egg"
> problem to me.

and Larry Hall wrote:

> Can an unauthenticated user access //sambaserver/username via Windows?
> If not, that's the real problem.  You'll have to use password authentication
> unless you change the access.  

Both of these fine gentlemen had it right:  I had completely missed
the Samba authentication problem.  I was able to use public-key
authentication by mounting my home directory with the public key
via "net use" (and supplying a password), prior to logging in via SSH.

Thanks very much to both of your for your swift (and patient) responses!

-- 
Hugh Brown
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/